com.corticon.service.ccserver.exception

## Class CcServerInitializationInProgressException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.corticon.CcException
      - - com.corticon.service.ccserver.exception.CcServerException
        - - com.corticon.service.ccserver.exception.CcServerInitializationInProgressException

- All Implemented Interfaces:
    ICcException, java.io.Serializable

      public class CcServerInitializationInProgressException
      extends CcServerException
      implements java.io.Serializable

  `CcServerInitializationInProgressException` is thrown if the server is invoked while still initializing.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.corticon.CcException

      `iparentException, istrCallingObjectClassName, istrCallingObjectToString`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CcServerInitializationInProgressException()`
    `CcServerInitializationInProgressException(java.lang.Exception aparentException, java.lang.Object aobject)`
    `CcServerInitializationInProgressException(java.lang.Exception aparentException, java.lang.String astrMessage)`
    `CcServerInitializationInProgressException(java.lang.Exception aparentException, java.lang.String astrMessage, java.lang.Object aobject)`
    `CcServerInitializationInProgressException(java.lang.String astrMessage)`
    `CcServerInitializationInProgressException(java.lang.String astrMessage, java.lang.Object aobject)`

  - ### Method Summary

    - ### Methods inherited from class com.corticon.CcException

      `getContainedException, getMessages, getStackTraceAsString, printStackTrace, printStackTrace, printStackTrace, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CcServerInitializationInProgressException

          public CcServerInitializationInProgressException()

    - #### CcServerInitializationInProgressException

          public CcServerInitializationInProgressException(java.lang.String astrMessage)

    - #### CcServerInitializationInProgressException

          public CcServerInitializationInProgressException(java.lang.String astrMessage,
                                                   java.lang.Object aobject)

    - #### CcServerInitializationInProgressException

          public CcServerInitializationInProgressException(java.lang.Exception aparentException,
                                                   java.lang.String astrMessage)

    - #### CcServerInitializationInProgressException

          public CcServerInitializationInProgressException(java.lang.Exception aparentException,
                                                   java.lang.Object aobject)

    - #### CcServerInitializationInProgressException

          public CcServerInitializationInProgressException(java.lang.Exception aparentException,
                                                   java.lang.String astrMessage,
                                                   java.lang.Object aobject)

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.